package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.UserRoleMapper;
import com.sa.ibiz.demo.demo.domain.UserRole;
import com.sa.ibiz.demo.demo.service.UserRoleService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.UserRoleSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[UserRole] 服务对象接口实现
 */
@Service
public class UserRoleServiceImpl extends ServiceImplBase<UserRoleMapper, UserRole> implements UserRoleService{


    @Resource
    private UserRoleMapper userroleMapper;


    @Override
    public boolean create(UserRole et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(UserRole et){
        this.beforeUpdate(et);
		this.userroleMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(UserRole et){
		return et.getUserroleid();  
    }

    @Override
    public boolean getDraft(UserRole et)  {
            return true;
    }

	public List<UserRole> listDefault(UserRoleSearchFilter filter) {
		return userroleMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<UserRole> searchDefault(UserRoleSearchFilter filter) {
		return userroleMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return userroleMapper.selectRow(sql);
    }

 }